Package org.bukkit.inventory.meta

# Interface BundleMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface BundleMeta extends ItemMeta

## Method Summary

Modifier and Type
Method
Description
`void`
`addItem(@NotNull ItemStack item)`
Adds an item to this item.
`@NotNull List<ItemStack>`
`getItems()`
Returns an immutable list of the items stored in this item.
`boolean`
`hasItems()`
Returns whether the item has any items.
`void`
`setItems(@Nullable List<ItemStack> items)`
Sets the items stored in this item.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, clone, displayName, displayName, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### hasItems

boolean hasItems()
Returns whether the item has any items.

Returns:
  whether items are present

### getItems

@NotNull @NotNull List<ItemStack> getItems()
Returns an immutable list of the items stored in this item.

Returns:
  items

### setItems

void setItems(@Nullable @Nullable List<ItemStack> items)
Sets the items stored in this item. Removes all items when given null.

Parameters:
  `items` - the items to set

### addItem

void addItem(@NotNull @NotNull ItemStack item)
Adds an item to this item.

Parameters:
  `item` - item to add